Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class BackgroundSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.BackgroundSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

Direct Known Subclasses:
  ForegroundSpan

public class BackgroundSpan
extends Span

Background span with editable color.

Version:
  $Revision: 1.3 $ $Date: 2002/02/02 13:16:26 $

Field Summary
`static java.lang.String` | `ATTR_COLOR` Color of background.
`static java.lang.String` | `ATTR_COLORS` List of color names, separated by spaces, such as "Yellow Orange Green Blue".
`static java.lang.String` | `MSG_CHANGE` Change the color to `arg`, which can be `String` or `Color`.
`static java.lang.String` | `MSG_EDIT` Pop up dialog asking user color choice.

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`BackgroundSpan()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`java.awt.Color` | `getColor()`
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations.
`ESISNode` | `save()` Stuff instance state into attributes; if save buffer not null, write out corresponding XML.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Recognize "deleteSpan " and "morphSpan ".
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Morphing and deletion menu items in popup.
`void` | `setColor(java.awt.Color color)` Set to `Context.COLOR_INVALID` to invalidate, null for transparent.
`java.lang.String` | `toString()` Subclasses should extend to check any attributes they add.

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, destroy, event, getEnd, getPriority, getStart, isSet, markDirty, move, move, move, moveq, moveq, moveq, moveqSwap, open, repaint, repaint, stretch`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_CHANGE

    public static final java.lang.String MSG_CHANGE

  Change the color to `arg`, which can be `String` or `Color`.

  `"changeColor"`: `arg=` color, as String or Color.

  See Also:
    Constant Field Values

### MSG_EDIT

    public static final java.lang.String MSG_EDIT

  Pop up dialog asking user color choice.

  `"editColor"`.

  See Also:
    Constant Field Values

### ATTR_COLORS

    public static final java.lang.String ATTR_COLORS

  List of color names, separated by spaces, such as "Yellow Orange Green Blue".

  See Also:
    Constant Field Values

### ATTR_COLOR

    public static final java.lang.String ATTR_COLOR

  Color of background.

  See Also:
    Constant Field Values

Constructor Detail

### BackgroundSpan

    public BackgroundSpan()

Method Detail

### setColor

    public void setColor(java.awt.Color color)

  Set to `Context.COLOR_INVALID` to invalidate, null for transparent.

### getColor

    public java.awt.Color getColor()

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Span`
  Morphing and deletion menu items in popup.

  Overrides:
    `semanticEventBefore` in class `Span`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Span`
  Recognize "deleteSpan " and "morphSpan ".

  Overrides:
    `semanticEventAfter` in class `Span`

### save

    public ESISNode save()

  Description copied from class: `Span`
  Stuff instance state into attributes; if save buffer not null, write out corresponding XML. Subclass should override if have interesting content (can stuff content into attr then super.save()). If span is not attached to tree at save time, its old attachment points are retained. This way, spans that can't be attached presently can be tried again without degradation.

  Overrides:
    `save` in class `Span`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Span`
  Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations. Attributes named `start` and `end` are reserved to hold Robust Location data.

  Overrides:
    `restore` in class `Span`
  See Also:
    `RobustLocation`

### toString

    public java.lang.String toString()

  Description copied from class: `Span`
  Subclasses should extend to check any attributes they add.

  Overrides:
    `toString` in class `Span`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD